import * as $dara from '@darabonba/typescript';
import { UpdateStrictEventNameResponseBody } from "./UpdateStrictEventNameResponseBody";
export declare class UpdateStrictEventNameResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateStrictEventNameResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
